Trust Centers
Create Trust Center subprocessor
Adds a subprocessor to a Trust Center.
POST
/
trust-centers
/
{slugId}
/
subprocessors
Create Trust Center subprocessor
curl --request POST \
--url https://api.vanta.com/v1/trust-centers/{slugId}/subprocessors \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"url": "<string>",
"description": "<string>",
"location": "<string>",
"purpose": "<string>"
}
'import requests
url = "https://api.vanta.com/v1/trust-centers/{slugId}/subprocessors"
payload = {
"name": "<string>",
"url": "<string>",
"description": "<string>",
"location": "<string>",
"purpose": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
url: '<string>',
description: '<string>',
location: '<string>',
purpose: '<string>'
})
};
fetch('https://api.vanta.com/v1/trust-centers/{slugId}/subprocessors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "a2f7e1b9d0c3f4e5a6c7b8d9",
"name": "Acme, Inc.",
"description": "This is the description for the subprocessor.",
"location": "US, EU",
"purpose": "Cloud infrastructure",
"url": "acme.com"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
201 - application/json
object | null
Trust Center subprocessor created
Unique identifier for the subprocessor.
Name of the subprocessor.
Description of the subprocessor.
Where this subprocessor is deployed.
The purpose that the subprocessor serves.
URL of the subprocessor.
Was this page helpful?
⌘I
Create Trust Center subprocessor
